8uh.ru - это информационный портал в стиле "Подслушано". Обсуждаем важные новости мира и интернета, показываем тонкости работы с различными сайтами и социальными сетями: от сайтов поисковых систем Яндекс, Гугл, Мэйл, Рамблер, Нигма до соцсетей Вконтакте, Одноклассники, Твиттер и Пинтерест. Подсказываем как грамотно сделать сайт и получить на него посетителей, используя различные способы продвижения сайтов: SEO-продвижение, краунд-маркетинг, соцсигналы, SMM-маркетинг и SMO-маркетинг.

Избавляемся от надписи «FTP должен быть включен в настройках» в Opencart 2

В этой статье рассмотрим решение проблемы с загрузкой модулей через стандартный загрузчик OCMOD Opencart, когда движок требует выполнять загрузку модулей только через FTP. Настройки FTP находятся в меню: «Система» — «Настройки» — «Мой магазин (редактировать)» — вкладка «FTP«. Требование движка «FTP доступ должен быть включен в настройках» возникает, если попробовать загрузить какое-либо расширение (дополнение) через встроенный OCMOD-загрузчик.

Если вы видите подобное сообщение — данная статья для вас!

oshibka-pri-zagruzke-modulya-v-opencart

Исправляем загрузку ocmod модулей — без FTP данных в админке Opencart

Для того, чтобы подобная ошибка больше не возникала и модули успешно загружались через «Установка дополнений«, необходим специальный модуль «QuickFix: Extensions Installer issue when FTP support disabled».

Скачать модуль «QuickFix: Extensions Installer issue when FTP support disabled» вы можете по ссылке: модуль.

После скачивания, переместите архив на рабочий стол и распакуйте его. В распакованной папке будет файл с названием localcopy.ocmod — его нужно установить. Для установки localcopy.ocmod откройте «Установка дополнений» и нажмите на кнопку «Загрузить«. В появившемся диалоговом окне укажите путь к localcopy.ocmod и подождите некоторое время, пока модуль установится.

Далее, откройте «Менеджер дополнений» в административной части вашего интернет-магазина на Opencart и нажмите кнопку «Обновить«. Обратите внимание, что в списке модулей появился новый модуль «Local copy OCMOD by iSenseLabs» — это наше дополнение, позволяющее обходить загрузку через FTP.

quik-fix-opencart

Возможные проблемы

Если вы по-прежнему наблюдаете проблемы с загрузкой других модулей, то следует проверить настройки FTP в административной части вашего интернет-магазина. Необходимо, чтобы настройка «Включить FTP» — была в положении «нет«.

Если вы не можете установить модуль «QuickFix: Extensions Installer issue when FTP support disabled» архивом, то распакуйте его и указывайте при загрузке расширения только файл внутри архива.

Других проблем быть не должно, однако если таковые появились — пишите в комментарии и мы постараемся вам помочь!

Обратите внимание

Данный модуль уместен и работает только на Opencart и OcStore версии 2.0.1.0, 2.0.1.1, 2.0.2.0, 2.0.3.1, 2.1.0.1, 2.1.0.2 и 2.2.0.0.

Рассказать о подслушанном:

Комментарии

Один комментарий к записи: “Избавляемся от надписи «FTP должен быть включен в настройках» в Opencart 2
  • Нет аватара
    Виктор пишет:

    Спасибо помогло!

    Ответить

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *